ChangeSet 1.1325.4.1, 2003/09/23 16:57:21-07:00, adobriyan@mail.ru

[PATCH] USB: Remove setting TASK_RUNNING after schedule_timeout in /drivers/usb/


 drivers/usb/host/uhci-hcd.c          |    2 --
 drivers/usb/serial/digi_acceleport.c |    2 --
 drivers/usb/storage/transport.c      |    1 -
 3 files changed, 5 deletions(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Thu Sep 25 14:32:45 2003
+++ b/drivers/usb/host/uhci-hcd.c	Thu Sep 25 14:32:45 2003
@@ -1965,13 +1965,11 @@
 	outw(USBCMD_GRESET, io_addr + USBCMD);
 	set_current_state(TASK_UNINTERRUPTIBLE);
 	schedule_timeout((HZ*50+999) / 1000);
-	set_current_state(TASK_RUNNING);
 	outw(0, io_addr + USBCMD);
 
 	/* Another 10ms delay */
 	set_current_state(TASK_UNINTERRUPTIBLE);
 	schedule_timeout((HZ*10+999) / 1000);
-	set_current_state(TASK_RUNNING);
 	uhci->resume_detect = 0;
 }
 
diff -Nru a/drivers/usb/serial/digi_acceleport.c b/drivers/usb/serial/digi_acceleport.c
--- a/drivers/usb/serial/digi_acceleport.c	Thu Sep 25 14:32:45 2003
+++ b/drivers/usb/serial/digi_acceleport.c	Thu Sep 25 14:32:45 2003
@@ -594,8 +594,6 @@
 
 	timeout = schedule_timeout(timeout);
 
-	set_current_state( TASK_RUNNING );
-
 	remove_wait_queue( q, &wait );
 
 	return( timeout );
diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Thu Sep 25 14:32:45 2003
+++ b/drivers/usb/storage/transport.c	Thu Sep 25 14:32:45 2003
@@ -1074,7 +1074,6 @@
 	up(&us->dev_semaphore);
 	set_current_state(TASK_UNINTERRUPTIBLE);
 	schedule_timeout(HZ*6);
-	set_current_state(TASK_RUNNING);
 	down(&us->dev_semaphore);
 	if (test_bit(US_FLIDX_DISCONNECTING, &us->flags)) {
 		US_DEBUGP("Reset interrupted by disconnect\n");
